test_and_change_bit
Prev | Bit Operations | Next

## Name

test_and_change_bit — Change a bit and return its old value

## Synopsis

`int test_and_change_bit (` | int | nr,
| volatile unsigned long * | addr`)`;

## Arguments

`nr`

  Bit to change

`addr`

  Address to count from

## Description

This operation is atomic and cannot be reordered. It also implies a memory barrier.

Prev | Up | Next
__test_and_clear_bit | Home | test_bit